<script lang="ts">
import "regenerator-runtime/runtime.js";
// import Ws from "@adonisjs/websocket-client";
// import WsPlugin from "adonis-vue-websocket";
import Vue from "vue";
import Vuex from "vuex";
import App from "./app.vue";
import AppRouter from "./router/router.vue";
import store from "./state.vuex";

// Vue.use(WsPlugin, { adonisWS: Ws });
Vue.use(Vuex);
const app = new Vue({
  router: AppRouter,
  store,
  render: h => h(App)
}).$mount("#app");

export default app;
</script>
